offer_focus(3)

NAME
offer_focus - Offers the input focus to a particular object. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int offer_focus(DIALOG *dialog, int obj, int *focus_obj, int force);

DESCRIPTION
Offers the input focus to a particular object. Normally the function sends the MSG_WANTFOCUS message to query whether the object is willing to accept the focus. However, passing any non-zero value as force argument instructs the function to authoritatively set the focus to the object.

SEE ALSO
find_dialog_focus(3)